<template>
  <div class="posterbg" >
      <div class="hide" ref="postbg" :style="{backgroundImage:`url(${posterbg})`}">
          <div class="t1">你已成为第 <span class="t2">{{count}}</span> 位大象守护者<br/> 别让凶手的赃物，成为违法的证物。</div>
          <img class="qrcode" src="../assets/images/qrcode.png" alt="">
          <div class="t3">分享让更多人成为大象守护者</div>
      </div>
      <div class="show" :style="{backgroundImage:`url(${posterbg})`}">
          <div v-show="posterbg" class="t1">你已成为第 <span class="t2">{{count}}</span> 位大象守护者<br/> 别让凶手的赃物，成为违法的证物。</div>
          <img v-show="posterbg" class="qrcode" src="../assets/images/qrcode.png" alt="">
          <div v-show="posterbg" class="t4 ">长按保存，晒出你的“新身份”</div>
          <div v-show="posterbg" class="t3 blink">分享让更多人成为大象守护者</div>
          <img v-if="postURL" class="postURL" :src="postURL" alt="">
      </div>
  </div>
</template>

<script>
import html2canvas from 'html2canvas'
import MtaH5 from 'mta-h5-analysis';

export default {
  components: {},
  props: {},
  data() {
    return {
        posterbg: require('../assets/images/postbg.jpg'),
        imgCount:0,
        postURL:'',
        count:'',
    };
  },
  created() {},
  mounted() {
      this.count = 3470000 + this.$route.params.number
       MtaH5.pgv();
       gtag('config', 'UA-151682819-4', {'page_title': 'wwflaw_pv5'}); 

      let imgs = [
        require("../assets/images/postbg.jpg")]
        this.$dialog.loading.open('正在为您生成海报');
        for (let img of imgs) {
            let image = new Image()
            image.src = img
            image.onload = () => {
            this.imgCount++
            // 计算图片加载的百分数，绑定到percent变量
            if(this.imgCount == 1){
                html2canvas(this.$refs.postbg, {
                    useCORS: true,
                    logging:true,
                }).then((canvas) => {
                    this.postURL = canvas.toDataURL("image/png").replace("image/png", "image/octet-stream");  // 获取生成的图片的url
                    console.log(this.postURL)
                    this.$dialog.loading.close();
                }) 
            }
            }
            
        }
  },
  methods: {},
  watch: {},
  computed: {},
};
</script>
<style scoped lang="scss">
.posterbg{
    width: 100%;
    height: 100%;
    overflow-x: hidden;
    overflow-y: scroll;
    .hide{
        width: 750px;
        height: 1500px;
        background-size: 100% 100%;
        position: absolute;
        top: 0;
        left: 100vw;
        display: flex;
        flex-direction: column;
        align-items: center;
         
        .t1{
            font-family: "宋体";
            font-size: 34px;
            color: #ffffff;
            font-weight: 600;
            margin-top: 1026px;
            line-height: 60px;
            text-align: center;
            letter-spacing: 2px;
            .t2{
                color: #4fc5df;
                font-size: 50px;
            }
        }
        .qrcode{
            width: 170px;
            height: 170px;
            margin: 35px auto;

        }
        .t3{
            font-family: "宋体";
            font-size: 24px;
            color: #ffffff;
        }
     
        
    }
    .show{
        width: 7.5rem;
        height: 15rem;
        background-size: 100% 100%;
        position: relative;
        display: flex;
        flex-direction: column;
        align-items: center;
         .postURL{
            // width: 7.5rem;
            // height: 15rem;
            width: 100%;
            position: absolute;
            z-index: 9;
            top: 0;
            left: 0;
            opacity: 0;
        }
        .t1{
            font-family: "宋体";
            font-size: 0.34rem;
            color: #ffffff;
            font-weight: 600;
            margin-top: 10.26rem;
            line-height: 0.6rem;
            text-align: center;
            letter-spacing: 2px;
            .t2{
                color: #4fc5df;
                font-size: 0.5rem;
            }
        }
        .qrcode{
            width: 1.70rem;
            height: 1.70rem;
            margin: 0.35rem auto;
        }
        .t3{
            font-family: "宋体";
            font-size: 0.24rem;
            color: #ffffff;
        }
        .t4{
            font-family: "宋体";
            font-size: 0.24rem;
            transform: scale(0.95);
            color: #4fc5e0;
            font-weight: 800;
        }
        
    }
}
</style>